io.agora.rtc

## Enum Constants.AUDIO_REVERB_TYPE

- java.lang.Object
- - java.lang.Enum<Constants.AUDIO_REVERB_TYPE>
  - - io.agora.rtc.Constants.AUDIO_REVERB_TYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AUDIO_REVERB_TYPE>
  Enclosing class:
    Constants

      public static enum Constants.AUDIO_REVERB_TYPE
      extends java.lang.Enum<Constants.AUDIO_REVERB_TYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUDIO_REVERB_DRY_LEVEL` Level of the dry signal (-20 to 10 dB).
    `AUDIO_REVERB_ROOM_SIZE` Room size of the reflection (0 to 100 dB).
    `AUDIO_REVERB_STRENGTH` Strength of the late reverberation (0 to 100).
    `AUDIO_REVERB_WET_DELAY` Length of the initial delay of the wet signal (0 to 200 ms)
    `AUDIO_REVERB_WET_LEVEL` Level of the early reflection signal (wet signal) (-20 to 10 dB).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.AUDIO_REVERB_TYPE` | `fromInt(int v)`
    `int` | `getValue()`
    `static Constants.AUDIO_REVERB_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AUDIO_REVERB_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUDIO_REVERB_DRY_LEVEL

          public static final Constants.AUDIO_REVERB_TYPE AUDIO_REVERB_DRY_LEVEL

      Level of the dry signal (-20 to 10 dB).

    - #### AUDIO_REVERB_WET_LEVEL

          public static final Constants.AUDIO_REVERB_TYPE AUDIO_REVERB_WET_LEVEL

      Level of the early reflection signal (wet signal) (-20 to 10 dB).

    - #### AUDIO_REVERB_ROOM_SIZE

          public static final Constants.AUDIO_REVERB_TYPE AUDIO_REVERB_ROOM_SIZE

      Room size of the reflection (0 to 100 dB).

    - #### AUDIO_REVERB_WET_DELAY

          public static final Constants.AUDIO_REVERB_TYPE AUDIO_REVERB_WET_DELAY

      Length of the initial delay of the wet signal (0 to 200 ms)

    - #### AUDIO_REVERB_STRENGTH

          public static final Constants.AUDIO_REVERB_TYPE AUDIO_REVERB_STRENGTH

      Strength of the late reverberation (0 to 100).

  - ### Field Detail

    - #### value

          private int value

  - ### Method Detail

    - #### values

          public static Constants.AUDIO_REVERB_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AUDIO_REVERB_TYPE c : Constants.AUDIO_REVERB_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AUDIO_REVERB_TYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### fromInt

          public static Constants.AUDIO_REVERB_TYPE fromInt(int v)